aboutsummaryrefslogtreecommitdiffstats
path: root/packages/mythfront
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2005-06-30 08:19:37 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-06-30 08:19:37 +0000
commitc8e5702127e507e82e6f68a4b8c546803accea9d (patch)
tree00583491f40ecc640f2b28452af995e3a63a09d7 /packages/mythfront
parent87ec8ca4d2e2eb4d1c1e1e1a6b46a395d56805b9 (diff)
downloadopenembedded-c8e5702127e507e82e6f68a4b8c546803accea9d.tar.gz
import clean BK tree at cset 1.3670
Diffstat (limited to 'packages/mythfront')
-rw-r--r--packages/mythfront/.mtn2git_empty0
-rw-r--r--packages/mythfront/mythfront-config/.mtn2git_empty0
-rw-r--r--packages/mythfront/mythfront-config/epia/.mtn2git_empty0
-rwxr-xr-x[-rw-r--r--]packages/mythfront/mythfront-config/epia/serial.sh7
-rwxr-xr-x[-rw-r--r--]packages/mythfront/mythfront-config/tftp.sh36
-rw-r--r--packages/mythfront/mythfront-session/.mtn2git_empty0
6 files changed, 43 insertions, 0 deletions
diff --git a/packages/mythfront/.mtn2git_empty b/packages/mythfront/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/mythfront/.mtn2git_empty
diff --git a/packages/mythfront/mythfront-config/.mtn2git_empty b/packages/mythfront/mythfront-config/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/mythfront/mythfront-config/.mtn2git_empty
diff --git a/packages/mythfront/mythfront-config/epia/.mtn2git_empty b/packages/mythfront/mythfront-config/epia/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/mythfront/mythfront-config/epia/.mtn2git_empty
diff --git a/packages/mythfront/mythfront-config/epia/serial.sh b/packages/mythfront/mythfront-config/epia/serial.sh
index e69de29bb2..6d2a978fea 100644..100755
--- a/packages/mythfront/mythfront-config/epia/serial.sh
+++ b/packages/mythfront/mythfront-config/epia/serial.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+setserial /dev/ttyS0 uart none
+modprobe lirc_serial
+modprobe snes232
+inputattach --snes232 /dev/ttyS1 &
+
diff --git a/packages/mythfront/mythfront-config/tftp.sh b/packages/mythfront/mythfront-config/tftp.sh
index e69de29bb2..51ccb79161 100644..100755
--- a/packages/mythfront/mythfront-config/tftp.sh
+++ b/packages/mythfront/mythfront-config/tftp.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+case $1 in
+ renew|bound)
+ ;;
+ *)
+ exit 0
+ ;;
+esac
+
+bootdir=`dirname $boot_file`
+
+files="mysql.txt lircrc mythfront.config"
+
+mkdir /var/lib/config
+cd /var/lib/config
+
+for fn in $files; do
+ if ! tftp -g $serverid -r $bootdir/mythfront/$ip/$fn -l $fn; then
+ if ! tftp -g $serverid -r $bootdir/mythfront/default/$fn -l $fn; then
+ rm -f $fn
+ fi
+ fi
+done
+
+if [ -f ./mythfront.config ]; then
+ . ./mythfront.config
+ if [ "x$REMOTE" != "x" ]; then
+ fn=`find /usr/share/lirc/remotes -name lircd.conf.$REMOTE`
+ if [ "x$fn" != "x" ]; then
+ rm -f lircd.conf
+ ln -sf $fn lircd.conf
+ fi
+ fi
+fi
+
diff --git a/packages/mythfront/mythfront-session/.mtn2git_empty b/packages/mythfront/mythfront-session/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/mythfront/mythfront-session/.mtn2git_empty